From: Sebastian Ramacher <sramacher@debian.org>
Date: Sat, 5 Jan 2019 21:15:31 +0100
Subject: Use pkg-config where possible

---
 source/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/source/Makefile b/source/Makefile
index a2de6a7..9f09fae 100644
--- a/source/Makefile
+++ b/source/Makefile
@@ -22,6 +22,7 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/ambdec
+PKGCONF ?= pkgconf
 
 VERSION = 0.7.1
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
@@ -35,8 +36,8 @@ all:	ambdec ambdec_cli
 AMBDEC_O = ambdec.o styles.o mainwin.o confwin.o radbut.o filewin.o \
            jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o \
            png2img.o meter.o
-ambdec:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
-ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lpthread -lXft -lX11 -lrt
+ambdec:	CPPFLAGS += $(shell $(PKGCONF) --cflags xft libpng x11)
+ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpthread $(shell $(PKGCONF) --libs xft libpng x11) -lrt
 ambdec:	$(AMBDEC_O)
 	$(CXX) $(LDFLAGS) -o $@ $(AMBDEC_O) $(LDLIBS)
 $(AMBDEC_O):
